Package org.apache.ignite.internal.util.collection

## Class ImmutableIntSet

- java.lang.Object
- - org.apache.ignite.internal.util.collection.ImmutableIntSet

All Implemented Interfaces:
  `Iterable<Integer>`, `Collection<Integer>`, `Set<Integer>`, `IntSet`

    public class ImmutableIntSet
    extends Object
    implements IntSet

### Constructor Summary

Constructors
`ImmutableIntSet​(Set<Integer> delegate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `add​(int element)` Adds the specified element to this set.
`boolean` `add​(Integer integer)`
`boolean` `addAll​(@NotNull Collection<? extends Integer> c)`
`void` `clear()`
`boolean` `contains​(int element)` Returns `true` if this set contains the specified element.
`boolean` `contains​(Object o)`
`boolean` `containsAll​(Collection<?> coll)`
`static ImmutableIntSet` `emptySet()`
`boolean` `equals​(Object o)`
`void` `forEach​(Consumer<? super Integer> act)`
`int` `hashCode()`
`boolean` `isEmpty()`
`@NotNull Iterator<Integer>` `iterator()`
`Stream<Integer>` `parallelStream()`
`boolean` `remove​(int element)` Removes the specified element from this set.
`boolean` `remove​(Object o)`
`boolean` `removeAll​(@NotNull Collection<?> c)`
`boolean` `removeIf​(Predicate<? super Integer> filter)`
`boolean` `retainAll​(@NotNull Collection<?> c)`
`int` `size()`
`Spliterator<Integer>` `spliterator()`
`Stream<Integer>` `stream()`
`@NotNull Object[]` `toArray()`
`<T> @NotNull T[]` `toArray​(@NotNull T[] a)`
`int[]` `toIntArray()` Returns array with primitive types
`String` `toString()`
`static ImmutableIntSet` `wrap​(Set<Integer> delegate)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`toArray`

### Constructor Detail

#### ImmutableIntSet

    public ImmutableIntSet​(Set<Integer> delegate)

Parameters:
  `delegate` - Delegate.

### Method Detail

#### wrap

    public static ImmutableIntSet wrap​(Set<Integer> delegate)

Parameters:
  `delegate` - Delegate.

#### emptySet

    public static ImmutableIntSet emptySet()

#### contains

    public boolean contains​(int element)

Returns `true` if this set contains the specified element.

Specified by:
  `contains` in interface `IntSet`

#### containsAll

    public boolean containsAll​(Collection<?> coll)

Specified by:
  `containsAll` in interface `Collection<Integer>`
Specified by:
  `containsAll` in interface `Set<Integer>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<Integer>`
Specified by:
  `size` in interface `Set<Integer>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<Integer>`
Specified by:
  `isEmpty` in interface `Set<Integer>`

#### contains

    public boolean contains​(Object o)

Specified by:
  `contains` in interface `Collection<Integer>`
Specified by:
  `contains` in interface `Set<Integer>`

#### toArray

    @NotNull
    public @NotNull Object[] toArray()

Specified by:
  `toArray` in interface `Collection<Integer>`
Specified by:
  `toArray` in interface `Set<Integer>`

#### toArray

    @NotNull
    public <T> @NotNull T[] toArray​(@NotNull
                                    @NotNull T[] a)

Specified by:
  `toArray` in interface `Collection<Integer>`
Specified by:
  `toArray` in interface `Set<Integer>`

#### toIntArray

    public int[] toIntArray()

Returns array with primitive types

Specified by:
  `toIntArray` in interface `IntSet`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object o)

Specified by:
  `equals` in interface `Collection<Integer>`
Specified by:
  `equals` in interface `Set<Integer>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Collection<Integer>`
Specified by:
  `hashCode` in interface `Set<Integer>`
Overrides:
  `hashCode` in class `Object`

#### iterator

    @NotNull
    public @NotNull Iterator<Integer> iterator()

Specified by:
  `iterator` in interface `Collection<Integer>`
Specified by:
  `iterator` in interface `Iterable<Integer>`
Specified by:
  `iterator` in interface `Set<Integer>`

#### add

    public boolean add​(int element)

Adds the specified element to this set.

Specified by:
  `add` in interface `IntSet`

#### remove

    public boolean remove​(int element)

Removes the specified element from this set.

Specified by:
  `remove` in interface `IntSet`

#### add

    public boolean add​(Integer integer)

Specified by:
  `add` in interface `Collection<Integer>`
Specified by:
  `add` in interface `Set<Integer>`

#### remove

    public boolean remove​(Object o)

Specified by:
  `remove` in interface `Collection<Integer>`
Specified by:
  `remove` in interface `Set<Integer>`

#### addAll

    public boolean addAll​(@NotNull
                          @NotNull Collection<? extends Integer> c)

Specified by:
  `addAll` in interface `Collection<Integer>`
Specified by:
  `addAll` in interface `Set<Integer>`

#### retainAll

    public boolean retainAll​(@NotNull
                             @NotNull Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<Integer>`
Specified by:
  `retainAll` in interface `Set<Integer>`

#### removeAll

    public boolean removeAll​(@NotNull
                             @NotNull Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<Integer>`
Specified by:
  `removeAll` in interface `Set<Integer>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<Integer>`
Specified by:
  `clear` in interface `Set<Integer>`

#### forEach

    public void forEach​(Consumer<? super Integer> act)

Specified by:
  `forEach` in interface `Iterable<Integer>`

#### removeIf

    public boolean removeIf​(Predicate<? super Integer> filter)

Specified by:
  `removeIf` in interface `Collection<Integer>`

#### spliterator

    public Spliterator<Integer> spliterator()

Specified by:
  `spliterator` in interface `Collection<Integer>`
Specified by:
  `spliterator` in interface `Iterable<Integer>`
Specified by:
  `spliterator` in interface `Set<Integer>`

#### stream

    public Stream<Integer> stream()

Specified by:
  `stream` in interface `Collection<Integer>`

#### parallelStream

    public Stream<Integer> parallelStream()

Specified by:
  `parallelStream` in interface `Collection<Integer>`